EDIT - bug #9766

CDM vocabularies should not be editable
09/17/2021 10:43 AM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal Found in Version:

Description

this is already implemented for languages in #9747. We should implement it for all CDM vocabularies.

Related issues:
Related to EDIT - feature request #9747: Make languages editable in TaxEditor Closed
Related to EDIT - bug #10259: Terms of the default vocabularies should not be... New

Associated revisions

Revision e623dcf9 - 03/02/2023 03:15 PM - Katja Luther
ref #9766: add method to get vocabulary by uuid

Revision f1ef518f - 03/02/2023 03:17 PM - Katja Luther

ref #9766: use new method to get vocabulary by uuid to check whether a
vocabulary is default or not

Revision 917e944d - 03/22/2023 08:53 AM - Katja Luther

ref #9766: moving default terms should not be possible.

Revision 30f3710a - 03/22/2023 09:45 AM - Katja Luther

ref #9766: do not show standard vocabularies for moving term to

Revision c002440d - 03/22/2023 09:48 AM - Katja Luther
ref #9766: fix filter for terms

Revision b87e8ce9 - 03/22/2023 06:12 PM - Andreas Miiller
ref #9766 fix NPE in term search

Revision bc30f990 - 03/23/2023 11:39 AM - Katja Luther

ref #9766: fix moving terms via menu

Revision e66b3057 - 03/23/2023 12:45 PM - Katja Luther
ref #9766: fix to not allow d&d to default vocabulary

Revision 7ab5034a - 03/24/2023 09:02 AM - Andreas Muller

ref #9766 adapt message for default term moving

History

#1 - 09/17/2021 10:43 AM - Andreas Miiller
- Related to feature request #9747: Make languages editable in TaxEditor added

#2 - 09/17/2021 11:24 PM - Andreas Miuller
AM:

Wir kénnten auch je Klasse ein cdmVocabularyUuids() einfiihren, die dann alle bekannten CDM VOC uuids zurlickgibt, mit der man dann checken
kann, ob ein voc ein CDM Voc ist. Ich habe das fiir Language gerade mal angelegt. Aber vielleicht ist es besser, dass in die TermType Klasse zu

04/20/2024 1/3



https://dev.e-taxonomy.eu/redmine/issues/9747

verschieben und mit TermType als Parameter abzufragen. Dann hat man alles an einer Stelle und es ist leichter abfragbar.
Du kannst ja mal Gberlegen, was das sinnigste ist. Da es nicht ewig benutzt werden wird, ist es nicht ganz so wichtig. Aber gut, wenn es an einer
Stelle steht, dann kénnen wir es spater im Bulk Léschen. Wir sollten es aber flr alle editierbaren Terme implementieren.

#3 - 03/02/2023 12:42 PM - Katja Luther
- Related to bug #10259: Terms of the default vocabularies should not be moved or deleted added

#4 - 03/02/2023 01:31 PM - Katja Luther

We could use the VocabularyEnum and add a method getVocabularyByUuid or a method to check whether a vocabulary is part of this enum.

#5 - 03/02/2023 03:14 PM - Katja Luther

I implemented it with the VocabularyEnum and it seems to work. | would commit it and you can have a look whether it is ok.

#6 - 03/09/2023 09:27 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 60
| guess this is for review?

#7 - 03/10/2023 08:06 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller
Yes, please review.

#8 - 03/10/2023 11:55 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.44

#9 - 03/20/2023 03:42 PM - Andreas Miuller

- Target version changed from Release 5.44 to Release 5.36

#10 - 03/21/2023 11:25 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 60 to 70

Drag&drop from and to CDM vocabularies is still possible. Move to ... | could not check as there was an NPE in the parent search. | fixed and pushed
it.

#11 - 03/22/2023 09:49 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Missed to commit the changes and now also added that the standard vocabularies are not shown in the term choosing wizard. Please review.

#12 - 03/22/2023 09:39 PM - Andreas Miiller

Moving a term via context menu does not work anymore. | tried with multiple feature and state terms which do not belong to CDM default
vocabularies.

| don't if this is related to the current fix. If not, please open a new ticket.
#13 - 03/22/2023 09:39 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#14 - 03/23/2023 11:39 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote in #note-12:

Moving a term via context menu does not work anymore. | tried with multiple feature and state terms which do not belong to CDM default
vocabularies.

| don't if this is related to the current fix. If not, please open a new ticket.

This is fixed.

#15 - 03/23/2023 12:38 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

Now it is (again?) possible to move a term from a non-CDM voc to a CDM-voc via d&d. | tried with "Delete2" from "Delete voc" into "Feature" on
rem_conf_am.
This is dangerous because if it happens accidentely the user has no chance to move it back.

#16 - 03/23/2023 12:55 PM - Katja Luther

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

This is fixed, please review.

#17 - 03/24/2023 10:30 AM - Andreas Miller

When trying to movie a feature via context menu to "test" | got
Fixed by KL but check needed if there might be follow up exceptions.

#18 - 03/24/2023 10:32 AM - Andreas Miiller
- Priority changed from New to Highest

#19 - 03/24/2023 02:55 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 100
